body {
    font-family: Arial, Helvetica, sans-serif;
    background-color: black;
}

* {
    box-sizing: border-box;
}

/* Add padding to containers */
.container {
    padding: 16px;
    background-color: white;
}

/* Full-width input fields */
input[type=text], input[type=number], select {
    width: 100%;
    padding: 15px;
    margin: 5px 0 22px 0;
    display: inline-block;
    border: none;
    background: #f1f1f1;
}

input[type=text]:focus, input[type=number]:focus {
    background-color: #ddd;
    outline: none;
}

input[type=radio] {
    margin: 5px 0 22px 0;
}

input[type=radio]:not(old){
    width: 2em;
    padding: 0;
    font-size: 1em;
    opacity: 0;
}

input[type=radio]:not(old) + label {
    display: inline-block;
    margin-left: -2em;
    line-height: 1.5em;
}

input[type=radio]:not(old) + label > span{
    display: inline-block;
    width: 0.875em;
    height: 0.875em;
    margin: 0.25em 0.5em 0.25em 0.25em;
    border: 0.0625em solid rgb(192,192,192);
    border-radius: 0.25em;
    background: rgb(224,224,224);
    background-image: -moz-linear-gradient(rgb(240,240,240),rgb(224,224,224));
    background-image: -ms-linear-gradient(rgb(240,240,240),rgb(224,224,224));
    background-image: -o-linear-gradient(rgb(240,240,240),rgb(224,224,224));
    background-image: -webkit-linear-gradient(rgb(240,240,240),rgb(224,224,224));
    background-image: linear-gradient(rgb(240,240,240),rgb(224,224,224));
    vertical-align: bottom;
}

input[type=radio]:not(old):checked + label > span{
    background-image: -moz-linear-gradient(rgb(224,224,224),rgb(240,240,240));
    background-image: -ms-linear-gradient(rgb(224,224,224),rgb(240,240,240));
    background-image: -o-linear-gradient(rgb(224,224,224),rgb(240,240,240));
    background-image: -webkit-linear-gradient(rgb(224,224,224),rgb(240,240,240));
    background-image: linear-gradient(rgb(224,224,224),rgb(240,240,240));
}

input[type=radio]:not(old):checked + label > span > span{
    display: block;
    width: 0.5em;
    height: 0.5em;
    margin: 0.125em;
    border: 0.0625em solid rgb(115,153,77);
    border-radius: 0.125em;
    background: rgb(153,204,102);
    background-image: -moz-linear-gradient(rgb(179,217,140),rgb(153,204,102));
    background-image: -ms-linear-gradient(rgb(179,217,140),rgb(153,204,102));
    background-image: -o-linear-gradient(rgb(179,217,140),rgb(153,204,102));
    background-image: -webkit-linear-gradient(rgb(179,217,140),rgb(153,204,102));
    background-image: linear-gradient(rgb(179,217,140),rgb(153,204,102));
}

/* Overwrite default styles of hr */
hr {
    border: 1px solid #f1f1f1;
    margin-bottom: 25px;
}

/* Set a style for the submit button */
.registerbtn {
    background-color: #04AA6D;
    color: white;
    padding: 16px 20px;
    margin: 8px 0;
    border: none;
    cursor: pointer;
    width: 100%;
    opacity: 0.9;
}

.registerbtn:hover {
    opacity: 1;
}

.collapsible {
    background-color: #777;
    color: white;
    padding: 18px;
    width: 100%;
    border: none;
    text-align: left;
    outline: none;
    font-size: 15px;
}

#loadingOverlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Transparansi hitam untuk overlay */
    display: none;
    z-index: 9999; /* Atur z-index agar overlay tumpukan di atas konten */
}

.spinner {
    border: 4px solid rgba(0, 0, 0, 0.1);
    border-left-color: #3498db;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
    position: absolute;
    top: 50%;
    left: 50%;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}